summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBjörn Wiedenmann2018-10-08 19:57:29 +0200
committerBjörn Wiedenmann2018-10-08 19:57:29 +0200
commitc4bf05c2c49ec8c04df3233a5668af7d0a2287de (patch)
tree858653fb913f3fa74036f15eabc048b192286521
parent42a6a11be33be0835b3099bf87ef72272c76ead5 (diff)
downloadaur-openssh-hpn-git.tar.gz
Updated to current upstream version
This update effectively turns this package into a non-git package, however, I am hoping that is only a temporary band aid. I reached out to upstream in order to help me sort out the master branch.
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD48
2 files changed, 26 insertions, 28 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d5576576b7d..a0cc5c7966f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = openssh-hpn-git
pkgdesc = A Secure SHell server/client fork with High Performance patches included
- pkgver = 7.5.P1.r74.ga0c37a72
- pkgrel = 2
+ pkgver = 7.8.P1.r47.g30ec037c
+ pkgrel = 1
url = https://www.psc.edu/index.php/hpn-ssh/
install = openssh-hpn-git.install
arch = i686
@@ -23,7 +23,7 @@ pkgbase = openssh-hpn-git
backup = etc/ssh/ssh_config
backup = etc/ssh/sshd_config
backup = etc/pam.d/sshd
- source = git+https://github.com/rapier1/openssh-portable
+ source = git+https://github.com/rapier1/openssh-portable#tag=hpn-7_8_P1
source = http://www.eworm.de/download/linux/openssh-tests-scp.patch
source = sshdgenkeys.service
source = sshd@.service
diff --git a/PKGBUILD b/PKGBUILD
index 7e50f51208f..56955665d9f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,13 +1,13 @@
-# Maintainer: Björn Wiedenmann <archlinux@xorxor.de>
-# Contributor: Jonathan Yantis <yantis@yantis.net>
-# Contributor: Christian Hesse <mail@eworm.de>
-# Contributor: Gaetan Bisson <bisson@archlinux.org>
+# Maintainer: Björn Wiedenmann <archlinux cat xorxor dog de>
+# Contributor: Jonathan Yantis <yantis cat yantis dog net>
+# Contributor: Christian Hesse <mail cat eworm dog de>
+# Contributor: Gaetan Bisson <bisson cat archlinux dog org>
# Contributor: Caspar Verhey <caspar at verhey dot net>
-# Contributor: Seth Fulton <seth@sysfu.com>
-# Contributor: Aaron Griffin <aaron@archlinux.org>
-# Contributor: judd <jvinet@zeroflux.org>
-# Contributor: benetnash <benetnash@mail.icpnet.pl>
-# Contributor: Thomas Haider <t.haider@vcnc.org>
+# Contributor: Seth Fulton <seth cat sysfu dog com>
+# Contributor: Aaron Griffin <aaron cat archlinux dog org>
+# Contributor: judd <jvinet cat zeroflux dog org>
+# Contributor: benetnash <benetnash cat mail dog icpnet dog pl>
+# Contributor: Thomas Haider <t.haider cat vcnc dog org>
# Note: The bulk of this PKGBUILD is based off:
# https://aur.archlinux.org/packages/op/openssh-git/PKGBUILD
@@ -37,8 +37,8 @@
# please use the official OpenSSH distribution instead.
pkgname=openssh-hpn-git
-pkgver=7.5.P1.r74.ga0c37a72
-pkgrel=2
+pkgver=7.8.P1.r47.g30ec037c
+pkgrel=1
pkgdesc='A Secure SHell server/client fork with High Performance patches included'
url='https://www.psc.edu/index.php/hpn-ssh/'
license=('custom:BSD')
@@ -51,7 +51,7 @@ provides=('openssh'
'openssh-hpn')
conflicts=('openssh'
'openssh-hpn')
-source=('git+https://github.com/rapier1/openssh-portable'
+source=('git+https://github.com/rapier1/openssh-portable#tag=hpn-7_8_P1'
'http://www.eworm.de/download/linux/openssh-tests-scp.patch'
'sshdgenkeys.service'
'sshd@.service'
@@ -73,19 +73,17 @@ sha256sums=('SKIP'
install=$pkgname.install
prepare() {
-
- if ! [ -e openssl-1.0 ] ; then
- mkdir openssl-1.0
- fi
-
- if ! [ -e openssl-1.0/include ] ; then
- ln -s /usr/include/openssl-1.0 openssl-1.0/include
- fi
-
- if ! [ -e openssl-1.0/lib ] ; then
- ln -s /usr/lib/openssl-1.0 openssl-1.0/lib
- fi
-
+ if ! [ -e openssl-1.0 ] ; then
+ mkdir openssl-1.0
+ fi
+
+ if ! [ -e openssl-1.0/include ] ; then
+ ln -s /usr/include/openssl-1.0 openssl-1.0/include
+ fi
+
+ if ! [ -e openssl-1.0/lib ] ; then
+ ln -s /usr/lib/openssl-1.0 openssl-1.0/lib
+ fi
}
pkgver() {